Skip to main content
GET
/
transaction
Get a transaction by ID
curl --request GET \
  --url https://relayer-v2.polymarket.com/transaction
[
  {
    "transactionID": "0190b317-a1d3-7bec-9b91-eeb6dcd3a620",
    "transactionHash": "0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8",
    "from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
    "to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
    "proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
    "data": "0x...",
    "nonce": "60",
    "value": "",
    "signature": "0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20",
    "state": "STATE_CONFIRMED",
    "type": "SAFE",
    "owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
    "metadata": "",
    "createdAt": "2024-07-14T21:13:08.819782Z",
    "updatedAt": "2024-07-14T21:13:46.576639Z"
  }
]

Query Parameters

id
string
required

Transaction ID

Response

Transaction retrieved successfully

transactionID
string

Unique identifier for the transaction

Example:

"0190b317-a1d3-7bec-9b91-eeb6dcd3a620"

transactionHash
string

Onchain transaction hash (available once confirmed)

Example:

"0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8"

from
string

Signer address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x6e0c80c90ea6c15917308f820eac91ce2724b5b5"

to
string

Target contract address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x2791bca1f2de4661ed88a30c99a7a9449aa84174"

proxyAddress
string

User's Polymarket proxy wallet address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa"

data
string

Encoded transaction data (0x-prefixed hex string)

Example:

"0x..."

nonce
string

Transaction nonce

Example:

"60"

value
string

Transaction value

Example:

""

signature
string

Transaction signature (0x-prefixed hex string)

Example:

"0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20"

state
enum<string>

Current state of the transaction

Available options:
STATE_NEW,
STATE_EXECUTED,
STATE_MINED,
STATE_CONFIRMED,
STATE_INVALID,
STATE_FAILED
Example:

"STATE_CONFIRMED"

type
enum<string>

Transaction type

Available options:
SAFE,
PROXY
Example:

"SAFE"

owner
string

Owner address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x6e0c80c90ea6c15917308f820eac91ce2724b5b5"

metadata
string

Transaction metadata

Example:

""

createdAt
string<date-time>

Timestamp when the transaction was created

Example:

"2024-07-14T21:13:08.819782Z"

updatedAt
string<date-time>

Timestamp when the transaction was last updated

Example:

"2024-07-14T21:13:46.576639Z"